%define name	rute_pdf 
%define version 0.3.0
%define release 1mdk
%define	prefix	/usr/doc/rute

Summary:	Rute Users Tutorial and Exposition
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	rute.pdf
Source1:	rute_pdf.menu
Copyright:	Paul Sheer, <psheer@obsidian.co.za>. Published under Open Content license.
Group:		Books/Computer books
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch:	noarch
URL:		http://http://home.shisas.co.za/rute/
Requires:	gv, locales-en, mandrake_desk

%description
Rute is a beginners guide to Linux and Unix-like systems. It is designed as a
dependency consistent tutorial document. This means you can (and should) read
it from beginning to end in consecutive order. Rute also satisfies the
requirements for course notes for a Linux training course.

%prep

%build
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

%install
cd $RPM_BUILD_ROOT%{prefix}
cp %{SOURCE0} .

## Menu
install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{name}-%{version}

%files
%defattr(-,root,root,0755)
%doc %{prefix}
/usr/lib/menu/*

## menu
%post
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi
 
%postun
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
        usr/bin/update-menus
    fi
fi


%changelog
* Wed May 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-1mdk
- First spec for Linux-Mandrake distribution
